NSX-T Data Center Global Manager REST API
Patch IP Reputation site mapping on GM
Create IP reputation site mapping for a specific site. IP reputation site mapping providesa way for the user to control the management of IP reputation based security policies from GM.
Site Mapping Creation Behavior:
- Creating site mapping for a site results in disabling both inbound and outbound IP reputation
default security policies on the site
- Post creation of the site mapping, the global default security policies from GM get pushed to the site
Execution Context:
- Endpoint: PATCH https://
- Available on: Global Manager only.
Request:
Method:
PATCH
URI Path(s):
/global-manager/api/v1/global-infra/ip-reputation-site-mappings/{mapping-id}
Request Headers:
n/a
Query Parameters:
n/a
Request Body:
IPReputationSiteMapping+
Example Request:
PATCH https://<policy-mgr>/global-manager/api/v1/global-infra/ip-reputation-site-mappings/pune-ip-reputation-mapping { "site_path": "/global-infra/sites/pune", "enable_auto_download": false, "resource_type": "IPReputationSiteMapping", "id": "pune-ip-reputation-mapping", "display_name": "pune" }Successful Response:
Response Code:
200 OK
Response Headers:
n/a
Response Body:
n/a